* Reading Data of Engel;
proc import datafile = '.../Engel_data.csv'
 out = data_valid_work_2
 dbms = CSV
 ;
run;


*quantile regression of food expenditure on income variable;
ODS PDF FILE="/folders/myfolders/Model_Sample.pdf";
proc quantreg data=data_valid_work_2 ci=rank plots=fitplot;
    
      model foodexp =income /  quantile=0 to 0.95 by 0.01 
                     plot=QUANTPLOT /  UNPACK OLS ;
       ods exclude ProcessEst ProcessObj;
       label foodexp='Food Expenditure'
            income='Income'; 
       output out = predictquant p = predquant;
       test income/QINTERACT;
      
     
run;quit;
ODS PDF CLOSE;






* Reading Data of Economics and Econometrics;
proc import datafile = '.../Economics_data.csv'
 out = data_valid_work_1
 dbms = CSV
 ;
run;



data new_data_valid;
    SET data_valid_work_1 ;
    Citedby_1=Citedby+1;
   logcited=log(Citedby_1);
run;


data combined1;
set new_data_valid;
where len_first_name<=15;
run;


*Freq of dependent variable (citation counts);
proc freq data=combined1;
table Citedby;
run;


*quantile regression of log(citation count+1) on collaboration variable;
ODS PDF FILE="/folders/myfolders/logmodel_1.pdf";
proc quantreg data=combined1 ci=resampling plots=fitplot;
    
      model logcited =len_first_name /  quantile=0to 0.95 by 0.01 
                     plot=QUANTPLOT /  UNPACK ;
       ods exclude ProcessEst ProcessObj;
       label logcited='Log(citation count +1)'
 len_first_name='Number of authors (Collaboration)'; 
       output out = predictquant p = predquant;
       test len_first_name/QINTERACT;
      
     
run;quit;
ODS PDF CLOSE;

*quantile regression of log(citation count+1) on journal internationality variable;
ODS PDF FILE="/folders/myfolders/logmodel_2.pdf";
proc quantreg data=combined1 ci=resampling plots=fitplot ;
    
      model logcited =gini_coef/  quantile=0 to 0.95 by 0.01 
                     plot=QUANTPLOT /  UNPACK;
       ods exclude ProcessEst ProcessObj;
       label logcited='Log(citation count +1)'
gini_coef ='Journal internationality' ; 
       output out = predictquant p = predquant;
       test gini_coef/QINTERACT;
      
     
run;quit;
ODS PDF CLOSE;




*quantile regression of citation counts on collaboration variable;
ODS PDF FILE="/folders/myfolders/Model_1.pdf";
proc quantreg data=combined1 ci=resampling plots=fitplot;
    
      model Citedby =len_first_name /  quantile=0to 0.95 by 0.01 
                     plot=QUANTPLOT /  UNPACK ;
       ods exclude ProcessEst ProcessObj;
       label Citedby='Citation count'
 len_first_name='Number of authors (Collaboration)'; 
       output out = predictquant p = predquant;
       test len_first_name/QINTERACT;
      
     
run;quit;
ODS PDF CLOSE;

*quantile regression of citation counts on journal internationality variable;
ODS PDF FILE="/folders/myfolders/Model_2.pdf";
proc quantreg data=combined1 ci=resampling plots=fitplot ;
    
      model Citedby =gini_coef/  quantile=0 to 0.95 by 0.01 
                     plot=QUANTPLOT /  UNPACK;
       ods exclude ProcessEst ProcessObj;
       label Citedby='Citation count'
gini_coef ='Journal internationality' ; 
       output out = predictquant p = predquant;
       test gini_coef/QINTERACT;
      
     
run;quit;
ODS PDF CLOSE;




